<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="set_blockerror">
  <refnamediv>
    <refname>set_blockerror</refname>
    <refpurpose>set the block error number</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>set_blockerror(n)</synopsis>
  </refsynopsisdiv>
  <refsection id="Module_set_blockerror">
    <title>Module</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="xcos">xcos</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_set_blockerror">
    <title>Description</title>
    <para>
Function to set a specific error during the simulation for the current block. If it is used, then after the execution of the computational function of the block, the simulator will end and will return an error message associated to the number given in argument.  
</para>
    <para>
</para>
    <programlisting role="example"><![CDATA[ 
set_blockerror(n)
 ]]></programlisting>
  </refsection>
  <refsection id="Parameters_set_blockerror">
    <title>Parameters</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">n</emphasis> : an error number. The following calls are allowed :</para>
        <itemizedlist>
          <listitem>
            <para>
              <emphasis role="bold">set_blockerror(-1)</emphasis>
            </para>
            <para>
the block has been called with input out of its domain
</para>
          </listitem>
          <listitem>
            <para>
              <emphasis role="bold">set_blockerror(-2)</emphasis>
            </para>
            <para>
singularity in a block
</para>
          </listitem>
          <listitem>
            <para>
              <emphasis role="bold">set_blockerror(-3)</emphasis>
            </para>
            <para>
block produces an internal error
</para>
          </listitem>
          <listitem>
            <para>
              <emphasis role="bold">set_blockerror(-16)</emphasis>
            </para>
            <para>
cannot allocate memory in block
          
</para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Authors_set_blockerror">
    <title>Authors</title>
    <para><emphasis role="bold">Alan Layec</emphasis> - INRIA</para>
  </refsection>
</refentry>
